package top.r3944realms.lib39.client;

import net.fabricmc.fabric.api.client.rendering.v1.BuiltinItemRendererRegistry;
import top.r3944realms.lib39.client.renderer.item.DollItemRenderer;
import top.r3944realms.lib39.core.register.Lib39Items;

/**
 * The type Item renderer registry.
 */
public class ItemRendererRegistry {
    /**
     * Register.
     */
    public static void register() {
        BuiltinItemRendererRegistry.INSTANCE.register(
                Lib39Items.DOLL.get(),
                DollItemRenderer.getInstance()::renderByItem
        );
    }
}
